app:
  name: 'Kontor'
  shortName: 'Kontor'
  description: 'Kontor is a Spring Boot application'
spring:
  profiles:
    active: local,dev,test,prod
  jpa:
    defer-datasource-initialization: true
    #hibernate.ddl-auto=create-drop
    hibernate:
      ddl-auto: update
      #ddl-auto: create-drop
    show-sql: false
    properties:
      hibernate:
        #dialect: org.hibernate.dialect.PostgreSQLDialect
  sql:
    init:
      mode: never
  mustache:
    check-template-location: false
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 10MB
camel:
  cloud:
    enabled: true
  springboot:
    routes-reload-enabled: true
    routes-reload-directory: routes
    routes-relaod-pattern: "*.xml"
management:
  endpoints:
    web:
      exposure:
        include: health,info,metrics,prometheus,camelroutes
  endpoint:
    health:
      show-details: always
    probes:
      enabled: true
    prometheus:
      enabled: true
logging:
  level:
    org:
      atmosphere: INFO
      hibernate: INFO
      springframework:
        web: INFO
        jms: DEBUG
      apache:
        activemq:
          artemis: DEBUG
    guru:
      springframework:
        controllers: DEBUG
jwt:
    auth:
      secret: 'J6GOtcwC2NJI1l0VkHu20PacPFGTxpirBxWwynoHjsc='
mail:
    protocol: 'imap'
    host: 'corky.svpdata.eu'
    port: 143
    userName: 'thomas.peetz@thpeetz.de'
    password: 'fS9f4JYDIO7A'
    starttls: true
---
spring:
  config:
    activate:
      on-profile: prod
  datasource:
    url: jdbc:postgresql://postgres:5432/kontor
    username: 'kontor'
    password: 'kontor'
  artemis:
    mode: native
    broker-url: tcp://activemq:61616
    user: artemis
    password: artemis
server:
  port: 8100
---
spring:
  config:
    activate:
      on-profile: local, dev, test
  devtools:
    add-properties: false
  datasource:
    url: jdbc:postgresql://localhost:5432/kontor
    username: kontor
    password: kontor
  artemis:
    mode: native
    broker-url: tcp://localhost:61616
    user: artemis
    password: artemis
server:
  port: 8085
